{%  set data = O.dataIndex %}
<div class="print-page">

	<table class="table">
		<tbody>
			<tr>
				<td>

					<h2>Fiche plan d'eau  | Sysma
						<small>{{ ORGANISATION }}</small>
					</h2>
				</td>
			</tr>
			<tr>
				<td>
					<table class="table table-noborder">
						<tr>

							<td>

								<h1>{{ O.sysma_object|default('Plan d\'eau') }}
									<small>[{{ O.id }}]</small>
								</h1>
								<p>
									<small>Dernière modification de l'objet le
										{{ O.modified_at|date('d/m/Y') }}</small>
							</td>

							<td>
								<p>
									Superficie
									{{ O.infosGeom.surface>10000 ? (O.infosGeom.surface/10000)|round(2)~' hectares' : O.infosGeom.surface|round~' m²'  }}
								</p>
							</td>
							<td>
								<p>Communes concernées :
									{%  for C in tabC %}
										{{  C.sysma_object }}
									{%  endfor %}
								</p>
								<p>Masses d'eau :
									{%  for ME in tabME %}
										{{  ME.sysma_object }}
									{%  endfor %}
								</p>
								{% set coordsL93 = O.infosGeom.centreL93|slice(6,-1)|split(' ') %}
								<p>Coordonnées L93 :
									{{ coordsL93[0]|round }},
									{{ coordsL93[1]|round }}</p>
							</td>
							<td style="width:150px;">&nbsp;</td>
						</tr>
					</table>
					<table class="table table-noborder" style='table-layout: auto;'>
						<tr>
							<td style="width:50%">
								<div id="map{{O.id}}" style="height:350px;width:100%"></div>
							</td>
							<td style="width:50%">
								<div id="map2{{O.id}}" style="height:350px;width:100%"></div>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<div style="display:flex;width:100%">

									{%  if O.tabOP|length >0 %}
										{% for OP in O.tabOP %}
											<div style="flex:1;height:250px;background:url({{ OP.Photo.thumbnail|raw }}) !important;background-size:contain  !important;background-repeat:no-repeat  !important;background-position:center  !important">
												<div style="background-color:#ffffffcc  !important;text-align:center  !important">{{ OP.Photo.name }}
													<small>{{OP.Photo.date_creation != null ? '('~OP.Photo.date_creation|date('m/y')~')' }}</small>
												</div>
											</div>

										{% endfor %}
									{%  endif %}
								</div>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</tbody>
	</table>

	{% set width = 100/5 %}

	<table class="table">
		<tr>
			<td width="{{ width }}%">
				<h2>Informations générales</h2>
				<table class="table table-noborder">
					{%  set tab = { 0:'insp_terr', 1:'acces_digu', 2:'usages_q', 3:'profondeur'} %}
					{%  for l in tab %}
						<tr>
							<td>{{  data[l].parameter.parameter }}</td>
							<td>
								<b>{{  data[l].value|join(', ') }}
									{{ data[l].parameter.unit|default(null) }}</b>
							</td>
						</tr>
					{%  endfor %}
					<tr>
						<td>Superficie</td>
						<td>
							<b>{{ O.infosGeom.surface>10000 ? (O.infosGeom.surface/10000)|round(2)~' hectares' : O.infosGeom.surface|round~' m²'  }}</b>
						</td>
					</tr>
				</table>
			</td>
			<td width="{{ width }}%">
				<h2>Caractéristiques hydrologiques</h2>
				<table class="table table-noborder">
					{%  set tab = { 0:'nb_ent_per', 1:'nb_ent_int', 2:'nb_sorties', 3: 'nb_dev_cru', 4: 'org_tropp', 5: 'rep_eau_fd' } %}
					{%  for l in tab %}
						<tr>
							<td>{{  data[l].parameter.parameter }}</td>
							<td>
								<b>{{  data[l].value|join(', ') }}
									{{ data[l].parameter.unit|default(null) }}</b>
							</td>
						</tr>
					{%  endfor %}
				</table>
			</td>
			<td width="{{ width }}%">
				<h2>Caractéristiques de vidange et de gestion</h2>
				<table class="table table-noborder">
					{%  set tab = { 0:'org_vid', 1:'vidangeabl', 2:'gest_visib', 3: 'presence' } %}
					{%  for l in tab %}
						<tr>
							<td>{{  data[l].parameter.parameter }}</td>
							<td>
								<b>{{  data[l].value|join(', ') }}
									{{ data[l].parameter.unit|default(null) }}</b>
							</td>
						</tr>
					{%  endfor %}
				</table>
			</td>
			<td width="{{ width }}%">
				<h2>Caractéristiques de la digue</h2>
				<table class="table table-noborder">
					{%  set tab = { 0:'ht_revan_m', 1:'hauteurchu' } %}
					{%  for l in tab %}
						<tr>
							<td>{{  data[l].parameter.parameter }}</td>
							<td>
								<b>{{  data[l].value|join(', ') }}
									{{ data[l].parameter.unit|default(null) }}</b>
							</td>
						</tr>
					{%  endfor %}
				</table>
			</td>
			<td width="{{ width }}%">


				{% for Action in O.actionsArray %}
					{% if Action.sysma_action_type_id == '982966' %}
						<h2>Inspection terrain</h2>
						<table class="table table-noborder">
							<tr>
								<td>Date du passage</td>
								<td class="text-right">{{ Action.start_date|date('m/y') }}</td>
							</tr>
						</table>
					{% endif %}

					{% if Action.sysma_action_type_id == '982759' %}
						<h2>Réponse au questionnaire</h2>
						<table class="table table-noborder">
							<tr>
								<td>Date du questionnaire</td>
								<td  class="text-right">{{ Action.start_date|date('m/y') }}</td>
							</tr>
							{% for Value in Action.data %}
								<tr>
									<td>
										{{ Value.parameter.parameter}}
									</td>
									<td class="text-right">
										{{ Value.value }}
									</td>
								</tr>
							{% endfor %}
						</table>
					{% endif %}
				{% endfor %}
			</td>
		</tr>
	</td>
</tr></table></td></tr></table><table class="table"><tr><td style="vertical-align:bottom">Fiche conçue par<a href="https://www.ecolimneau.com/" target="_blank">Ecolimneau</a>pour l'EPTB Sèvre Nantaise</td><td><div class="text-right"><img src="https://static.wixstatic.com/media/a945e4_84ef808a8e5f470ca27c2ca70ae04e55~mv2.jpg/v1/fill/w_200,h_128,al_c,q_80,usm_0.66_1.00_0.01,enc_auto/logo_seul.jpg" width="60"/></td></td></tr></table>{%  if maps|default('on') != 'off' %}{# MAP #}{%  set tabO = { 0: O } %}{%  if O.infosGeom.surface > 200 %}{%  set zoom = 14  %}{%  else %}{%  set zoom = 15  %}{%  endif %}{%  set baseLayer = 'OpenStreetMap' %}{%  set map = 'map'~O.id %}{% include('map/simpleMap.twig') %}{# MAP2 #}{%  set tabO = { 0: O } %}{%  if O.infosGeom.surface > 50000 %}{%  set zoom = 14  %}{%  elseif O.infosGeom.surface > 10000 %}{%  set zoom = 16  %}{%  else %}{%  set zoom = 17  %}{%  endif %}{%  set baseLayer = 'orthophotos' %}{%  set map = 'map2'~O.id %}{% include('map/simpleMap.twig') %}{%  endif  %}</div>
